library(ncdf4)
library(loadeR)
library(visualizeR)

 data <- loadGridData("Desktop/CMIP6_ACCESS-CM2_day_historical_r1i1p1f1_psl_1950-2014.nc",var="unknown")
# spatialPlot(subsetDimension(data,dimension = "time",indices=1),backdrop.theme = "countries")

nc <- nc_open("Desktop/CMIP6_ACCESS-CM2_day_historical_r1i1p1f1_psl_1950-2014.nc")
var <- ncvar_get(nc,"unknown")
lon <- ncvar_get(nc,"lon")
lat <- ncvar_get(nc,"lat")

dim(var)
for(i in 1:length(lon)){
  if(lon[i]>180){
    lon[i] <- lon[i]-360
  }
}

dia1 <- var[,,1]
data <- data.frame(slp=as.numeric(dia1),long=rep(lon,length(lat)),lati=rep(lat,each=length(lon)))
library(ggplot2)
library(RColorBrewer)
ggplot(data=data,aes(x=long,y=lati,fill=slp)) + geom_tile() + borders(database = "world")+ coord_quickmap(xlim = range(data$long),ylim=range(data$lati))+
  scale_fill_gradientn(colours=rev(brewer.pal(11,"Spectral")))

                       